Subject: Re: [PATCH 2/2] checkout: fix attribute handling in checkout all

From: Marius Storm-Olsen <[email-masked]>
Date: Mon, 13 Aug 2007 09:15:33 +0200

Steffen Prohaska said the following on 13.08.2007 08:50:
> On Aug 13, 2007, at 8:32 AM, Marius Storm-Olsen wrote:
>> In msysgit.git/etc/.gitattributes we have 'termcap -crlf', to avoid  
>> the termcaps being checked out with Windows EOL, if the user  
>> happens to have 'autocrlf = true'. However, when you checkout the  
>> working dir the first time it still has Windows EOL due to exactly  
>> this problem.
> 
> And exactly this is where I recognized the issue.
> 
> msysgit devs,
> We should really make autocrlf = true the default for us and fix
> all problems that we'll encounter. There may be more tricky stuff
> ahead, like merges, cherry-picks, ...

I'm more leaning towards having the installer give you the option to 
choose what kind of line-endings you want Git to work with; just like 
the Cygwin installer.

-- 
.marius